<?php

namespace FiloBlu\ExtAmastyGeoipRedirect\Model\Config\Backend\Serialized;

use FiloBlu\ExtAmastyGeoipRedirect\Model\Config\Backend\Serialized;

use function is_array;

/**
 *
 */
class ArraySerialized extends Serialized
{
    /**
     * Unset array element with '__empty' key
     *
     * @return $this
     */
    public function beforeSave()
    {
        $value = $this->getValue();
        if (is_array($value)) {
            unset($value['__empty']);
        }
        $this->setValue($value);
        return parent::beforeSave();
    }
}
